{% extends 'base.html.twig' %}

{% block title %}New Demand{% endblock %}

{% block body %}
<div class="container">
<div class="login-form">
<div class="main-div">
   <div class="panel">
   <h2>Demand</h2>
   <p>Create new demand</p>
   </div>
   {{ form_errors(form) }}
                <div id= "alert"></div>

    {{ form_start(form, {'attr': {'id': 'app_demand_edit'}}) }}
           
    <form>

        <div class="form-group">
            
             {{ form_widget(form.Title, {'attr': {'placeholder': 'title', 'class': 'form-control' }}) }}
             {{ form_errors(form.Title) }}

        </div>

        <div class="form-group">

            {{ form_widget(form.Content, {'attr': {'placeholder': 'content', 'class': 'form-control'  }}) }}

        </div>

        <div class="form-group">

          {{ form_widget(form.PieceJointe, {'attr': {'class': 'form-control' }}) }}
          {{ form_errors(form.PieceJointe) }}

        </div>

        <div class="form-group">
        
          {{ form_widget(form.CreationDate, {'attr': {'class': 'form-control' }}) }}
          {{ form_errors(form.CreationDate) }}

        </div>


        <div class="form-group">

          {{ form_widget(form.status, {'attr': {'class': 'form-control' }}) }}
          {{ form_errors(form.status) }}

        </div>


        <button type="submit" class="btn btn-primary">{{ button_label|default('new') }}</button>
        <a href="{{ path('app_demand_index') }}">back to list</a>
    {{ form_end(form) }}
    </form>
    </div>
<p class="botto-text"> Designed by Rihab Omrani</p>
</div></div></div>
<script>
$('select option[value="in progress"]').attr('disabled', 'disabled');
$('select option[value="closed"]').attr("disabled", true);
</script>


{% endblock %}
